Bug 169191 - compiler notices dodgy code
compiler notices dodgy code
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-24 07:23 EDT by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-26 16:18:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-09-24 07:23:36 EDT
Description of problem:
I just tried to compile Fedora development package kexec-tools-1.101-2
with the extra compiler flag -Wall.

The compiler said

kexec/arch/i386/crashdump-x86.c:311: warning: 'temp_region.type' is used
uninitialized in this function

The source code is

                memmap_p[tidx+1] = temp_region;

It might be worthwhile to ensure that the whole of local data structure
temp_region is initialised to something sensible shortly after it is
defined, thus making sure that all execution paths get a sensible value
of local variable "temp_region".


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeffrey Moyer 2005-09-26 16:18:43 EDT
Please take this issue up with the upstream maintainers.

Note You need to log in before you can comment on or make changes to this bug.